Loading...
Searching...
No Matches
PSTech.Pstsdk.CameraInfo Struct Reference

Information for a single camera of the connected PST Tracker. More...

Collaboration diagram for PSTech.Pstsdk.CameraInfo:
[legend]

## Public Attributes
string | CameraId
| Unique camera identifier.
string | LocalSha1
| SHA1 checksum of the local calibration file or descriptive error message.
string | ServerSha1Url
| URL to retrieve the SHA1 checksum of the corresponding server calibration file.
string | CalibrationUrl
| URL to retrieve the calibration file.

## Detailed Description

This struct provides key details for each camera of the connected PST Tracker, including calibration verification data, unique camera identifiers, and URLs to retrieve the calibration files.

Fields:

- CameraId – Unique camera identifier.
- LocalSha1 – SHA1 checksum of the local calibration file. If the file could not be read, this field contains a descriptive error message.
- ServerSha1Url – URL to retrieve the SHA1 checksum of the corresponding server calibration file. Users can fetch the server SHA1 from this URL and compare it with the local SHA1 to verify that local calibration files are up to date.
- CalibrationUrl – URL to retrieve the calibration file.

If the local calibration file cannot be read, the LocalSha1 field contains one of:

- "Error - File not found": The calibration file does not exist in the expected location.
- "Error - Error reading the file": The file exists but could not be opened or read.

Note
  In multi-PST setups, SHA1 comparison results may differ even when calibration files are valid. During the registration process, the system calculates the position and orientation of all PST units relative to each other, updating local calibration files. These modifications can cause the local file checksums to differ from the original versions on PS-tech's server.

To verify calibration validity, users can compare LocalSha1 with the SHA1 obtained from ServerSha1Url. If they do not match, updated calibration files can be downloaded from CalibrationUrl and loaded using Tracker.LoadCalibrationFromLocalPath().

## Member Data Documentation

## ◆ CalibrationUrl

string PSTech.Pstsdk.CameraInfo.CalibrationUrl

## ◆ CameraId

string PSTech.Pstsdk.CameraInfo.CameraId

## ◆ LocalSha1

string PSTech.Pstsdk.CameraInfo.LocalSha1

## ◆ ServerSha1Url

string PSTech.Pstsdk.CameraInfo.ServerSha1Url

The documentation for this struct was generated from the following file:

- src/Tracker.cs